#crudTable_wrapper #crudTable td,
#crudTable_wrapper #crudTable th,
#crudTable_wrapper table.dataTable td,
#crudTable_wrapper table.dataTable th {
    line-height: 1;
}

.page_heading {
    font-size: 20px;
    line-height: 1.6;
    font-weight: 500;
    margin-bottom: 20px;
    text-transform: capitalize;
}


.main_table_wrapper tr {
    background-color: #E6EBF8;
    color: #0D1A36;
    font-weight: 400;
    font-size: 14px;
    line-height: 22px;
}
.main_table_wrapper td{
    max-width: 180px;
    position: relative;
    white-space: nowrap;
    /* overflow: hidden; */
    text-overflow: ellipsis;
    padding-right: 50px;
}

.dropdown-menu.show {
    overflow: unset;
}

.customTableheader {
    display: flex;
    flex-direction: column;
    gap: 10px;
    /* margin-left:30px; */
}

.customTableheader span {
    font-size: 14px;
    line-height: 22px;
    font-weight: 400;
    color: #0D1A36;
    padding-left: 5px;
}

.tableSearch {
    position: relative;
    max-width: 250px;
}

.tableSearch input,.tableSearch select , span.select2-selection {
    width:100%; 
    padding:12px 40px 12px 16px; 
    border:none; 
    outline:none; 
    border-radius:999px; 
    background:white; 
    font-size:14px; 
    color:#333;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
}

.tableSearch input::placeholder{ 
    color:#777777;
    font-weight: 400;
    font-size: 12px;
    line-height: 18px;
}

.tableSearchIcon {
    position:absolute; 
    right:12px; 
    top:50%; 
    transform:translateY(-50%); 
    width:18px; 
    height:18px; 
    fill:#6b7280; 
    cursor:pointer;
}

.table thead th {
    color: #0D1A36;
    font-size: 14px;
    line-height: 22px;
    font-weight: 400;
    gap: 20px;
}

.table thead th:last-child {
    box-shadow: 0 4px 24px 0 rgba(140, 152, 190, 0.22);
}

.table td:last-child {
    box-shadow: 0 4px 24px 0 rgba(245, 165, 314, 0.22);
}

.table-content{
 overflow: visible !important;   
}

.actions-buttons-column {
    border: none !important;
}

#crudTable_wrapper #crudTable[data-has-bulk-actions="0"].has-hidden-columns thead tr th:first-child {
    padding-left: 0.4rem !important;
}

.bulk-checkbox-container {
    padding-left: 5px;
}

#crudTable_wrapper #crudTable[data-has-bulk-actions="1"] thead tr th:first-child {
    padding-left: 0.8rem !important;
}

#crudTable_wrapper #crudTable thead tr th:last-child {
    vertical-align: top !important;
    padding: 25px;
}

.crud_bulk_actions_checkbox {
    display: flex;
    align-items: center;
    justify-content: center;
}

#crudTable tbody td:last-child {
    background-color: #ffffff !important;
}

.badge-light {
    background-color: #E4EDFB;
    padding: 8px 12px;
    border-radius: 6px;
    position: absolute;
    right: 10px;
    bottom: 13px;
}

.custom-control-input:checked ~ .custom-control-label::before {
    background-color: #000;
}

.la-ellipsis-v:before {
    font-size: 20px;
    color: #000;
}

.ellipsis-cell {
    display: block;
    max-width: 200px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.dropdown-menu-right a {
    border-bottom: 1px solid #8C98BE38;
    padding: 0.5rem 1.5rem;
}

.header-split-wrapper {
    display: flex;
    align-items: flex-start;
    width: 100%;
}

.checkbox-section {
    flex: 0 0 10px;         
    display: flex;
    gap: 10px;
    justify-content: center; 
    padding-top: 5px; 
}

.content-section {
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 8px;     
    padding-left: 10px; 
}

.column-label {
    font-weight: 500;
    color: #0D1A36;
}

#crudTable tbody td .crud_bulk_actions_checkbox {
    display: flex;
    justify-content: center;
    width: 10px; 
}

#crudTable_wrapper .dataTables_length select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none; 
    background-image: url("../img/icons/down_arrow.svg") !important;
    background-position: right 10px center !important; 
    background-repeat: no-repeat !important;
    background-size: 17px !important;
    padding-right: 30px !important;
    border-radius: 25px;
}

#crudTable_wrapper .dataTables_length select:focus {
    outline: none;
    box-shadow: none;
    border-color: #ddd;
}

.page-item.active .page-link {
    background-color: #050610 !important;
    border-radius: 8px;
    padding: 5px 13px;
}

.page-item.disabled .page-link {
    background-color: #E4EDFB !important;
    border-radius: 8px;
    padding: 5px 7px;
}

.page-item.next a,
.page-item.previous a{
    padding: 5px;
}

.page-link {
    background-color: #FFFFFF !important;
    padding: 5px 13px;
    margin: 0 5px;
}

.dropdown-item{
    margin-top:7px;
}